/**
 * RoleClassPartitive.java
 *
 * File generated from the medication::RoleClassPartitive uml Enumeration
 * Generated by IHE - europe, gazelle team
 */
package net.ihe.gazelle.medication;

import javax.xml.bind.annotation.XmlEnum;
import javax.xml.bind.annotation.XmlEnumValue;
import javax.xml.bind.annotation.XmlRootElement;
import javax.xml.bind.annotation.XmlType;
/**
 * Description of the enumeration RoleClassPartitive.
 *
 * 
 */

@XmlType(name = "RoleClassPartitive")
@XmlEnum
@XmlRootElement(name = "RoleClassPartitive")
public enum RoleClassPartitive {
	@XmlEnumValue("CONT")
	CONT("CONT"),
	@XmlEnumValue("MBR")
	MBR("MBR"),
	@XmlEnumValue("PART")
	PART("PART"),
	@XmlEnumValue("INGR")
	INGR("INGR"),
	@XmlEnumValue("ACTI")
	ACTI("ACTI"),
	@XmlEnumValue("ACTM")
	ACTM("ACTM"),
	@XmlEnumValue("ADTV")
	ADTV("ADTV"),
	@XmlEnumValue("BASE")
	BASE("BASE"),
	@XmlEnumValue("IACT")
	IACT("IACT"),
	@XmlEnumValue("COLR")
	COLR("COLR"),
	@XmlEnumValue("FLVR")
	FLVR("FLVR"),
	@XmlEnumValue("PRSV")
	PRSV("PRSV"),
	@XmlEnumValue("STBL")
	STBL("STBL"),
	@XmlEnumValue("LOCE")
	LOCE("LOCE"),
	@XmlEnumValue("STOR")
	STOR("STOR"),
	@XmlEnumValue("SPEC")
	SPEC("SPEC"),
	@XmlEnumValue("ALQT")
	ALQT("ALQT"),
	@XmlEnumValue("ISLT")
	ISLT("ISLT");
	
	private final String value;

    RoleClassPartitive(String v) {
        value = v;
    }
    
     public String value() {
        return value;
    }

    public static RoleClassPartitive fromValue(String v) {
        for (RoleClassPartitive c: RoleClassPartitive.values()) {
            if (c.value.equals(v)) {
                return c;
            }
        }
        throw new IllegalArgumentException(v);
    }
	
}